{class}: Get ontology class

API: dbpedia.org:dbpedia-sparql-api
Endpoint: /ontology/{class}
Response format: application/rdf+xml
Charset: utf-8
Auth: none
Method: GET
Last Status: 406
Latency: 1112ms

Description

Retrieve the definition and properties of a DBpedia ontology class. DBpedia's ontology defines types like Person, Place, Organization with structured properties. This endpoint returns the class definition including its parent classes, properties, and domain/range restrictions. Use this to understand what properties are available for a type of entity - for example, checking what fields a dbo:Person has (birthDate, nationality, etc.). Essential for building effective SPARQL queries.

From spec: Retrieve information about a DBpedia ontology class.

Usage Tips

- Common classes: Person, Place, Organization, Work, Species, Event, Device - Returns RDF by default; use Accept: text/turtle for readable format - The class hierarchy can be explored: Person is a subclass of Agent, which is a subclass of Thing - Properties returned include both object properties (linking to other resources) and datatype properties

Parameters (1)

class (string, path, required)

Ontology class name (e.g., Person, Place)

Examples (3)

Get Person ontology class curl

Get the Person ontology class definition

curl 'http://dbpedia.org/ontology/Person' \
  -d '"<!DOCTYPE HTML PUBLIC \"-//IETF//DTD HTML 2.0//EN\">\n<html><head>\n<title>406 Not Acceptable</title>\n</head><body>\n<h1>406 Not Acceptable</h1>\n<p>An appropriate representation of the requested resource Person could not be found on this server.</p>\nAvailable variant(s):\n<ul>\n<li><a href=\"Person\">Person</a> , type text/html, charset UTF-8</li>\n</ul>\n</body></html>\n"'
import requests

resp = requests.get(
    "http://dbpedia.org/ontology/Person",
    json="<!DOCTYPE HTML PUBLIC \"-//IETF//DTD HTML 2.0//EN\">\n<html><head>\n<title>406 Not Acceptable</title>\n</head><body>\n<h1>406 Not Acceptable</h1>\n<p>An appropriate representation of the requested resource Person could not be found on this server.</p>\nAvailable variant(s):\n<ul>\n<li><a href=\"Person\">Person</a> , type text/html, charset UTF-8</li>\n</ul>\n</body></html>\n",
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("dbpedia")
result = api.fetch("ontology/{class}")

for item in result:
    print(item)
const body = "<!DOCTYPE HTML PUBLIC \"-//IETF//DTD HTML 2.0//EN\">\n<html><head>\n<title>406 Not Acceptable</title>\n</head><body>\n<h1>406 Not Acceptable</h1>\n<p>An appropriate representation of the requested resource Person could not be found on this server.</p>\nAvailable variant(s):\n<ul>\n<li><a href=\"Person\">Person</a> , type text/html, charset UTF-8</li>\n</ul>\n</body></html>\n";

const resp = await fetch("http://dbpedia.org/ontology/Person", {
  body: JSON.stringify(body),
});
const data = await resp.json();
Get Place ontology class curl

Get the Place ontology class definition

curl 'http://dbpedia.org/ontology/Place' \
  -d '"<!DOCTYPE HTML PUBLIC \"-//IETF//DTD HTML 2.0//EN\">\n<html><head>\n<title>406 Not Acceptable</title>\n</head><body>\n<h1>406 Not Acceptable</h1>\n<p>An appropriate representation of the requested resource Place could not be found on this server.</p>\nAvailable variant(s):\n<ul>\n<li><a href=\"Place\">Place</a> , type text/html, charset UTF-8</li>\n</ul>\n</body></html>\n"'
import requests

resp = requests.get(
    "http://dbpedia.org/ontology/Place",
    json="<!DOCTYPE HTML PUBLIC \"-//IETF//DTD HTML 2.0//EN\">\n<html><head>\n<title>406 Not Acceptable</title>\n</head><body>\n<h1>406 Not Acceptable</h1>\n<p>An appropriate representation of the requested resource Place could not be found on this server.</p>\nAvailable variant(s):\n<ul>\n<li><a href=\"Place\">Place</a> , type text/html, charset UTF-8</li>\n</ul>\n</body></html>\n",
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("dbpedia")
result = api.fetch("ontology/{class}")

for item in result:
    print(item)
const body = "<!DOCTYPE HTML PUBLIC \"-//IETF//DTD HTML 2.0//EN\">\n<html><head>\n<title>406 Not Acceptable</title>\n</head><body>\n<h1>406 Not Acceptable</h1>\n<p>An appropriate representation of the requested resource Place could not be found on this server.</p>\nAvailable variant(s):\n<ul>\n<li><a href=\"Place\">Place</a> , type text/html, charset UTF-8</li>\n</ul>\n</body></html>\n";

const resp = await fetch("http://dbpedia.org/ontology/Place", {
  body: JSON.stringify(body),
});
const data = await resp.json();
Get Organization ontology class curl

Get the Organization ontology class definition

curl 'http://dbpedia.org/ontology/Organization' \
  -d '"<!DOCTYPE HTML PUBLIC \"-//IETF//DTD HTML 2.0//EN\">\n<html><head>\n<title>406 Not Acceptable</title>\n</head><body>\n<h1>406 Not Acceptable</h1>\n<p>An appropriate representation of the requested resource Organization could not be found on this server.</p>\nAvailable variant(s):\n<ul>\n<li><a href=\"Organization\">Organization</a> , type text/html, charset UTF-8</li>\n</ul>\n</body></html>\n"'
import requests

resp = requests.get(
    "http://dbpedia.org/ontology/Organization",
    json="<!DOCTYPE HTML PUBLIC \"-//IETF//DTD HTML 2.0//EN\">\n<html><head>\n<title>406 Not Acceptable</title>\n</head><body>\n<h1>406 Not Acceptable</h1>\n<p>An appropriate representation of the requested resource Organization could not be found on this server.</p>\nAvailable variant(s):\n<ul>\n<li><a href=\"Organization\">Organization</a> , type text/html, charset UTF-8</li>\n</ul>\n</body></html>\n",
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("dbpedia")
result = api.fetch("ontology/{class}")

for item in result:
    print(item)
const body = "<!DOCTYPE HTML PUBLIC \"-//IETF//DTD HTML 2.0//EN\">\n<html><head>\n<title>406 Not Acceptable</title>\n</head><body>\n<h1>406 Not Acceptable</h1>\n<p>An appropriate representation of the requested resource Organization could not be found on this server.</p>\nAvailable variant(s):\n<ul>\n<li><a href=\"Organization\">Organization</a> , type text/html, charset UTF-8</li>\n</ul>\n</body></html>\n";

const resp = await fetch("http://dbpedia.org/ontology/Organization", {
  body: JSON.stringify(body),
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:36:26.167544 406 1112ms
2026-04-16 03:50:43.645065 406 679ms
2026-04-16 01:54:31.019927 406 1041ms
2026-04-16 01:41:24.226409 406 319ms
2026-04-15 02:11:36.154050 406 6018ms
2026-04-15 02:03:14.516062 406 9029ms
2026-04-15 01:51:27.443507 406 5040ms
2026-04-14 02:24:13.437240 406 1496ms
2026-04-14 01:03:49.646216 406 4649ms
2026-04-14 00:09:11.601021 406 10361ms
2026-04-12 16:15:15.865204 406 1131ms
2026-04-12 14:41:46.376069 406 361ms
2026-04-12 12:43:54.400215 406 567ms
2026-04-10 04:21:57.818034 406 3646ms
2026-04-10 02:44:05.111621 406 1301ms
2026-04-10 02:15:28.788057 406 387ms
2026-04-09 02:18:23.935232 406 287ms
2026-04-09 01:55:44.512775 406 1276ms
2026-04-09 01:17:01.069392 406 663ms
2026-04-08 07:56:08.407574 406 932ms
2026-04-08 07:18:20.749557 406 288ms
2026-04-08 01:39:03.853687 406 608ms
2026-04-07 01:23:06.884310 406 320ms
2026-04-07 00:57:03.909517 406 1070ms
2026-04-07 00:43:35.464027 406 671ms
2026-04-05 19:44:41.384849 406 631ms
2026-04-05 19:34:38.262854 406 927ms
2026-04-05 19:25:44.168281 406 403ms
2026-04-05 01:10:57.767140 406 599ms
2026-04-05 00:10:02.799568 406 402ms
2026-04-05 00:04:35.000405 406 1048ms
2026-04-04 02:46:57.576923 406 5123ms
2026-04-04 02:26:33.075901 406 3922ms
2026-04-04 02:14:24.574568 406 641ms
2026-04-03 12:57:27.187270 406 1158ms
2026-04-03 12:42:41.846502 406 585ms
2026-04-03 12:17:05.736202 406 1800ms
2026-03-30 02:52:50.088266 406 312ms
2026-03-30 02:46:34.630089 406 964ms
2026-03-30 02:11:06.202923 406 619ms
2026-03-29 13:22:23.197460 406 361ms
2026-03-29 13:11:43.533700 406 948ms
2026-03-29 12:49:49.733312 406 520ms
2026-03-23 09:40:39.381374 406 914ms
2026-03-23 09:24:27.221262 406 163ms
2026-03-23 09:18:10.791865 406 434ms